.images {
  display: flex;
  gap: 100px;
  justify-content: center;
}

.card {
  position: relative;
  width: 400px;
  height: 475px;
  overflow: hidden;
  cursor: pointer;
}

.card img {
  width: 100%;
  height: 100%;
  transition: 0.3s ease;
  display: block;
}

.card .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0); /* transparent de base */
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: 0.3s ease;
  color: white;
  font-size: 2em;
  font-weight: bold;
  text-align: center;
}

.card:hover img {
  filter: brightness(50%);
}

.card:hover .overlay {
  opacity: 1;
  background-color: rgba(0, 0, 0, 0.5);
}

a:link{
    text-decoration:none;
    color:white;
}

a:hover{
    text-decoration:none;
    color:white;
}

a:visited{
    text-decoration:none;
    color:white;
}